<div class="container">

  <p *ngIf="isLoading">Loading pokemon...</p>

  <section class="pokemon" *ngIf="pokemon">

    <div class="header">
      <div class="avatar">
        <img [lazyLoad]="pokemon.sprites.front_default" [defaultImage]="'assets/pokeball.png'" class="avatar-img" alt=""
             width="150">
      </div>

      <div class="bio">
        <h1 class="pokemon-name">{{ pokemon.name }}</h1>

        <ul class="types">
          <li *ngFor="let type of pokemon.types" class="type" [ngClass]="type.type.name">
            {{ type.type.name }}
          </li>
        </ul>

        <p>Height: {{ pokemon.height }}cm</p>
        <p>Height: {{ pokemon.weight }} grams</p>
        <br>
        <button *ngIf="!hasPokemon" (click)="onCollectClicked()">Collect Pokemon</button>
        <button *ngIf="hasPokemon" (click)="onRemoveClicked()">Remove from Collection</button>
      </div>
    </div>


    <app-pokemon-abilities [abilityUrls]="getAbilityUrls()"></app-pokemon-abilities>

  </section>

</div>
